// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class OpenCasketNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new OpenCasketNAddonDeed();
			}
		}

		[ Constructable ]
		public OpenCasketNAddon()
		{
			AddComponent( new AddonComponent( 7226 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 7225 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 7223 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 7222 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 7224 ), 0, -1, 0 );
			AddComponent( new AddonComponent( 7221 ), 1, 2, 0 );
			AddComponent( new AddonComponent( 7227 ), 0, 2, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7222 );
			AddComponent( ac, 1, 1, 0 );
			ac = new AddonComponent( 7223 );
			AddComponent( ac, 1, 0, 0 );
			ac = new AddonComponent( 7224 );
			AddComponent( ac, 0, -1, 0 );
			ac = new AddonComponent( 7225 );
			AddComponent( ac, 0, 0, 0 );
			ac = new AddonComponent( 7226 );
			AddComponent( ac, 0, 1, 0 );

		}

		public OpenCasketNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class OpenCasketNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new OpenCasketNAddon();
			}
		}

		[Constructable]
		public OpenCasketNAddonDeed()
		{
			Name = "OpenCasketN";
Hue = 2406;
		}

		public OpenCasketNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}